---
title: Resonite
weight: 50
---

# Resonite

Resonite comes with a native Linux build, however it suffers from numerous issues and is being deprecated, using Proton is generally better.

OpenComposite should now provide a close to flawless experience on most controllers and when using hand tracking.

## Visual bugs
There are some minor visual bugs specific to running Resonite on Proton, such as textures taking longer to load and appearing black for a few seconds when close to the player.

## Crashes
Resonite has been seen causing random SteamVR crashes on Linux before, in some situations the engine also tends to freeze. On OpenComposite the game rarely closes out on its own without leaving any obvious trace of things going wrong, this is being investigated.

The cause of these issues and whether they are Proton-specific isn't currently known.

## Performance
In larger sessions Resonite is typically CPU-bound, there isn't much that can be done besides upgrading your CPU. In situations where the GPU is a bottleneck, lowering the resolution (either in the OpenXR runtime or through OpenComposite) may help dramatically.

## Native build
The native build is unsupported. There are z-fighting issues with the OpenGL renderer, media players don't work, and performance might be worse than using Proton.
